Skip to main content
GET
/
v1
/
market
/
holiday
Get Market Holidays
curl --request GET \
  --url https://api.aries.com/v1/market/holiday \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/market/holiday"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/market/holiday', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "holidays": [
    {
      "eventName": "Christmas Day",
      "atDate": "2026-12-25",
      "tradingHour": ""
    },
    {
      "eventName": "Christmas Day",
      "atDate": "2026-12-24",
      "tradingHour": "09:30-13:00"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

exchange
enum<string>
default:US
required

exchange code (case-insensitive). Select from the Try it dropdown or use any value from the supported exchange list in the API reference page. Two-to-three-letter exchange code identifying a global stock exchange (e.g. US = U.S. exchanges, L = London, HK = Hong Kong, T = Tokyo, PA = Paris). Used as the exchange query parameter for market-status and market-holiday endpoints. Other endpoints may return a different exchange-code format depending on the upstream data source.

Available options:
AD,
AS,
AT,
AX,
BA,
BC,
BD,
BE,
BH,
BK,
BO,
BR,
CA,
CN,
CO,
CR,
CS,
DB,
DE,
DU,
F,
HA,
HE,
HK,
HM,
IC,
IR,
IS,
JK,
JO,
KL,
KQ,
KS,
KW,
L,
LS,
MC,
ME,
MI,
MT,
MU,
MX,
NE,
NL,
NS,
NZ,
OL,
OM,
PA,
PK,
PM,
PR,
QA,
RG,
RO,
SA,
SC,
SG,
SI,
SN,
SR,
SS,
ST,
SW,
SX,
SZ,
T,
TA,
TG,
TL,
TO,
TW,
TWO,
US,
V,
VI,
VN,
VS,
WA
Example:

"US"

Response

Successful response

holidays
object[]

List of market holidays and special trading days